Get Thread
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/conversations/{thread_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/conversations/{thread_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/conversations/{thread_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"additionalInfo": {}
},
"object": "thread",
"title": "<string>",
"messages": [],
"ticket": {
"id": "<string>",
"subject": "<string>",
"product": "<string>",
"typology": "<string>",
"priority": "<string>",
"body": "<string>",
"ticket_url": "<string>"
},
"allowed_to_create_ticket": true,
"message_if_not_allowed": "",
"ask_to_talk_to_human": false,
"last_message_date": "2023-11-07T05:31:56Z",
"satisfaction_feedback": {},
"creation_date": "2023-11-07T05:31:56Z",
"evaluation": "<string>",
"evaluation_comment": "<string>",
"llm_judge_evaluated": true,
"llm_judge_need_review": true,
"llm_judge_improvement": "<string>",
"cx_score": 123,
"cx_score_data": {},
"reviewer": {
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"admin_status": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"color": "<string>"
}
}Conversations
Get Thread
Get a conversation thread by ID, including all of its messages with sources, feedback, tool calls, and attachments. API keys are admin-scoped, so admin/evaluation fields are always included.
GET
/
api
/
v1
/
conversations
/
{thread_id}
Get Thread
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/conversations/{thread_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/conversations/{thread_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/conversations/{thread_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"additionalInfo": {}
},
"object": "thread",
"title": "<string>",
"messages": [],
"ticket": {
"id": "<string>",
"subject": "<string>",
"product": "<string>",
"typology": "<string>",
"priority": "<string>",
"body": "<string>",
"ticket_url": "<string>"
},
"allowed_to_create_ticket": true,
"message_if_not_allowed": "",
"ask_to_talk_to_human": false,
"last_message_date": "2023-11-07T05:31:56Z",
"satisfaction_feedback": {},
"creation_date": "2023-11-07T05:31:56Z",
"evaluation": "<string>",
"evaluation_comment": "<string>",
"llm_judge_evaluated": true,
"llm_judge_need_review": true,
"llm_judge_improvement": "<string>",
"cx_score": 123,
"cx_score_data": {},
"reviewer": {
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"admin_status": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"color": "<string>"
}
}Authorizations
Path Parameters
Response
200 - application/json
OK
Full payload returned by GET /api/v1/conversations/{thread_id} —
thread metadata plus all of its messages. Admin/evaluation fields are
populated because Public API v1 keys are admin-scoped.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
